/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

hr {
    border: none;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

button {
    border: none;
    background: none;
}




/* ================ Global ================ */
h1, h2, h3 {
    color: white;
    font-family: system-ui;
}

li, a, p {
    color: white;
    font-family: system-ui;
}

button {
    cursor: pointer;
}





/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
    background: black;
}

body {
    min-height: 100vh;
    background-attachment: fixed;
    background: linear-gradient(60deg, rgb(10, 0, 0), rgb(20, 0, 0));
}




/* ======================================== */
/* ================ Header ================ */
/* ======================================== */
header {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 70px;
    /* background-color: darkred; */
    background: linear-gradient(rgb(172, 5, 5), rgb(116, 2, 2));
}

header h1 {
    margin-top: -10px;
    text-align: center;
    text-shadow: rgba(0,0,0, 0.40) 0 0 12px;
}


/* ================ Navbar ================ */
nav {
    position: sticky;
    top: 0;
    z-index: 2;
    
    background: rgb(20,20,20);
    box-shadow: rgba(10,10,10, 0.40) 0 6px 12px;
}

nav ul {
    overflow: hidden;
    display: flex;
    align-items: center;
    
    margin: auto;
    height: 25px;
    max-width: 1080px;
    padding-left: 15px;
}

nav a {
    white-space: nowrap;
    font-weight: 500;
    margin-right: 15px;
}

nav a:hover {
    color: gold;
}



/* ================ Carrousel ================ */
.carrousel {
    position: fixed;
    z-index: 1;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width:  30px;
    height: 30px;

    color: white;
    background: rgb(95, 0, 0);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

.carrousel:hover {
    background: darkred;
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }




/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    margin: auto;
    max-width:    1080px;
    min-height:    100vh;

    padding-top:    30px;
    padding-left:   12px;
    padding-right:  12px;
    padding-bottom: 50px;
}



/* ================ Sections ================ */
section {
    /* background: rgb(25,25,25, 0.75); */
    background: linear-gradient(45deg, rgba(18,18,18, 0.95), rgba(25,25,25, 0.66));
    border-radius:   5px;
    box-shadow: rgba(15,15,15, 0.40) 0 0 12px;
}

section h2, section h3 {
    display: flex;
    justify-content: center;
    align-items: end;
    
    height: 40px;
    text-shadow: black 0 0 15px;
}



/* ================ Containers ================ */
section div, section ul {
    overflow: hidden;

    padding-top:    15px;
    padding-left:   12px;
    padding-right:  12px;
    padding-bottom: 20px;
}




/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ Shorts ================ */
#posts {
    min-height: 500px;
}

#posts div {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(335px, 1fr));
    
    column-gap: 12px;
    row-gap:    22px;
}



#posts div a {
    overflow:       hidden;
    background:   black;
    border-radius:  5px;
    transition:     100ms;
}

#posts div a:hover {
    box-shadow: rgba(80,80,80, 0.40) 0 0 12px;
}

#posts div a:hover p {
    color: rgb(220, 0, 0);
}



#posts div video {
    max-width: 100%;
    background: linear-gradient(60deg, rgb(20,20,20), rgb(40,40,40));
}

#posts div p {
    text-align:     center;
    font-weight:    500;
    margin-top:     -4px;
    padding-top:    3px;
    padding-bottom: 6px;
    background: linear-gradient(45deg, rgb(5,5,5), rgb(15,15,15));
}




/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */

/* ================ Navigation ================ */
#gohead {
    position: fixed;
    z-index: 1;
    bottom: 25px;
    right:  25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    background: rgb(95, 0, 0);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

#gohead:hover {
    background: darkred;
}

#gohead p {
    color: white;
    font-size: 15px;
    margin-top: -5px;
}



/* ================ Footer ================ */
footer {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 90px;
    /* background-color: darkred; */
    background: linear-gradient(rgb(172, 5, 5), rgb(116, 2, 2));
    box-shadow: rgb(139,0,0, 0.50) 0 0 15px;
}

footer h1 {
    text-align: center;
    text-shadow: rgba(0,0,0, 0.40) 0 0 12px;
}